Page MenuHomePhabricator

Package apertium-separable and dependencies
Closed, ResolvedPublic

Description

Latest release of apertium-fra-cat depends on new package apertium-separable. Package and upload it to Debian and WMF. This also needs updated packages of dependencies.

  • Update lttoolbox -> 3.4.0~r84331
    • Debian
    • WMF
  • Update apertium -> 3.5.1
    • Debian
    • WMF
  • Update apertium-lex-tools -> 0.2.0~r84344
    • Debian
    • WMF
  • Package apertium-separable
    • Debian (NEW queue)
    • WMF

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 7 2018, 4:46 AM
Pginer-WMF triaged this task as Normal priority.Mar 8 2018, 7:58 AM
Pginer-WMF moved this task from Backlog to Maintenance backlog on the Language-2018-Jan-Mar board.
KartikMistry updated the task description. (Show Details)Mar 13 2018, 5:28 AM
KartikMistry updated the task description. (Show Details)Mar 13 2018, 5:45 AM

Change 419346 had a related patch set uploaded (by KartikMistry; owner: KartikMistry):
[operations/debs/contenttranslation/lttoolbox@master] lttoolbox: Update to latest upstream release

https://gerrit.wikimedia.org/r/419346

Change 419351 had a related patch set uploaded (by KartikMistry; owner: KartikMistry):
[operations/debs/contenttranslation/apertium@master] apertium: New upstream release

https://gerrit.wikimedia.org/r/419351

Change 419356 had a related patch set uploaded (by KartikMistry; owner: KartikMistry):
[operations/debs/contenttranslation/apertium-lex-tools@master] apertium-lex-tools: New upstream release

https://gerrit.wikimedia.org/r/419356

KartikMistry updated the task description. (Show Details)Mar 15 2018, 8:25 AM
KartikMistry updated the task description. (Show Details)Mar 19 2018, 7:12 AM

Change 421808 had a related patch set uploaded (by KartikMistry; owner: KartikMistry):
[operations/debs/contenttranslation/apertium-separable@master] apertium-separable: Initial Debian packaging

https://gerrit.wikimedia.org/r/421808

KartikMistry updated the task description. (Show Details)Mar 26 2018, 4:54 AM

Change 421833 had a related patch set uploaded (by KartikMistry; owner: KartikMistry):
[operations/puppet@production] apertium: Add apertium-separable package

https://gerrit.wikimedia.org/r/421833

Change 421861 had a related patch set uploaded (by KartikMistry; owner: KartikMistry):
[integration/config@master] Add apertium-separable package

https://gerrit.wikimedia.org/r/421861

Change 421861 merged by jenkins-bot:
[integration/config@master] Add apertium-separable package

https://gerrit.wikimedia.org/r/421861

KartikMistry updated the task description. (Show Details)Mar 27 2018, 7:05 AM

Change 419346 merged by Alexandros Kosiaris:
[operations/debs/contenttranslation/lttoolbox@master] lttoolbox: Update to latest upstream release

https://gerrit.wikimedia.org/r/419346

Mentioned in SAL (#wikimedia-operations) [2018-03-28T16:37:41Z] <akosiaris> T189075 upload lttoolbox_3.4.0~r84331-1+wmf1 to apt.wikimedia.org/jessie-wikimedia/main

Mentioned in SAL (#wikimedia-operations) [2018-03-29T08:18:52Z] <akosiaris> T189075 upload apertium_3.5.1-1+wmf1 to apt.wikimedia.org/jessie-wikimedia/main

Change 419356 merged by Alexandros Kosiaris:
[operations/debs/contenttranslation/apertium-lex-tools@master] apertium-lex-tools: New upstream release

https://gerrit.wikimedia.org/r/419356

Change 421808 merged by Alexandros Kosiaris:
[operations/debs/contenttranslation/apertium-separable@master] apertium-separable: Initial Debian packaging

https://gerrit.wikimedia.org/r/421808

Mentioned in SAL (#wikimedia-operations) [2018-03-30T12:47:28Z] <akosiaris> T189075 upload apertium-separable to apt.wikimedia.org/jessie-wikimedia/main

Mentioned in SAL (#wikimedia-operations) [2018-03-30T12:47:38Z] <akosiaris> T189075 upload apertium-lex-tools to apt.wikimedia.org/jessie-wikimedia/main

Checking cx2-testing - translating the article: "Peekskill Lighting and Railroad Company" from English to Spanish, the template {{NYC streetcar transit}} is displayed incorrectly in the source article on ContentTranslation:

The source article is displayed correctly on enwiki and cx-testing (although the source article is displayed without {{NYC streetcar transit}} ) . @KartikMistry - could it be a regression after updates?

Checking cx2-testing - translating the article: "Peekskill Lighting and Railroad Company" from English to Spanish, the template {{NYC streetcar transit}} is displayed incorrectly in the source article on ContentTranslation:


The source article is displayed correctly on enwiki and cx-testing (although the source article is displayed without {{NYC streetcar transit}} ) . @KartikMistry - could it be a regression after updates?

Unrelated issue and probably only in CX2. I'll check it in details.

Change 421833 merged by Alexandros Kosiaris:
[operations/puppet@production] apertium: Add apertium-separable package

https://gerrit.wikimedia.org/r/421833

KartikMistry moved this task from QA to Done on the Language-2018-Apr-June board.Apr 4 2018, 12:09 PM
KartikMistry closed this task as Resolved.Apr 23 2018, 4:05 AM